# pandas.Series.argsort

`Series.``argsort`(axis=0, kind='quicksort', order=None)

  Override ndarray.argsort. Argsorts the value, omitting NA/null values, and places the result in the same locations as the non-NA values.

  Parameters:

  axis : int

  > Has no effect but is accepted for compatibility with numpy.

  kind : {‘mergesort’, ‘quicksort’, ‘heapsort’}, default ‘quicksort’

  > Choice of sorting algorithm. See np.sort for more information. ‘mergesort’ is the only stable algorithm

  order : None

  > Has no effect but is accepted for compatibility with numpy.

  Returns:

  Series

  > Positions of values within the sort order with -1 indicating nan values.

  See also

  `numpy.ndarray.argsort`

Scroll To Top